#!/bin/sh

tce-load -w compiletc libtool ncursesw-dev  squashfs-tools
tce-load -i compiletc libtool ncursesw-dev  squashfs-tools

cd /tmp
wget http://www.leonerd.org.uk/code/libtermkey/libtermkey-0.22.tar.gz
tar x -zf libtermkey-0.22.tar.gz

cd libtermkey-0.22


CFLAGS=" -flto -march=i486 -mtune=i686 -Os -pipe -fno-plt"
LDFLAGS="-Wl,-O1"
DESTDIR="/tmp/libtermkey"

export CFLAGS LDFLAGS DESTDIR

make
make install

strip "$DESTDIR"/usr/local/lib/libtermkey.so.1.14.2

cp -r "$DESTDIR" "$DESTDIR"-dev
cp -r "$DESTDIR" "$DESTDIR"-doc

PREFIX="usr/local"

rm -rf "$DESTDIR"/"$PREFIX"/include
rm -rf "$DESTDIR"/"$PREFIX"/share/man
rm -rf "$DESTDIR"/"$PREFIX"/lib/pkgconfig
rm -f "$DESTDIR"/"$PREFIX"/lib/libtermkey.la

DOCDIR="share/doc/libtermkey"

mkdir -p "$DESTDIR"/"$PREFIX"/"$DOCDIR"
cp /tmp/libtermkey-0.22/LICENSE "$DESTDIR"/"$PREFIX"/"$DOCDIR"


rm -rf "$DESTDIR"-dev/"$PREFIX"/share
rm -f "$DESTDIR"-dev/"$PREFIX"/lib/libtermkey.so*


rm -rf "$DESTDIR"-doc/"$PREFIX"/include
rm -rf "$DESTDIR"-doc/"$PREFIX"/lib

DIRS="libtermkey libtermkey-dev libtermkey-doc"

for N in $DIRS
do
  cd /tmp/"$N"
  find  -not -type d > ../"$N".tcz.list
  sed -i -e 's/^\.//' ../"$N".tcz.list
  cd /tmp
  sudo chown -R root:root "$N"
  mksquashfs "$N" "$N".tcz
  md5sum "$N".tcz > "$N".tcz.md5.txt
done

echo ncursesw.tcz > libtermkey.tcz.dep
echo libtermkey.tcz > libtermkey-dev.tcz.dep
echo ncursesw-dev.tcz >> libtermkey-dev.tcz.dep
echo man.tcz > libtermkey-doc.tcz.dep



